#
# Dalmation dog deafness (sub)pedigree 
# From Figure 1 of Cargill EJ, Famula TR, Strain GM, Murphy KE
# Heritability and segregation analysis of deafness in US 
# Dalmations Genetics 2004; 166: 1385-1393
# 
# 20% Dalmatians unilaterally deaf
# 10% Dalmations bilaterally deaf
# Blue-eyed Dalmatians higher rates of deafness
#
set locus ldeaf aff . Deaf in left ear
set locus rdeaf aff . Deaf in right ear
set locus lblue aff . Left eye blue
set locus rblue aff . Right eye blue
read pedigree inline
dalmation P03  x   x   m  x x x x
dalmation D48  x   x   f  x x x x
dalmation R01  x   x   m  x x x x
dalmation R14  x   x   f  x x x x
dalmation P06  P03 x   f  x x x x
dalmation D07  x   x   m  x x x x
dalmation R02  R01 x   m  x x x x
dalmation I02  x   x   f  x x x x
dalmation P27  x   x   m  x x x x
dalmation P04  x   x   f  y x x x
dalmation P30  P06 D07 f  x y x x
dalmation P30s P06 D07 f  y y x x
dalmation P09  P03 D48 f  x x x x
dalmation P13  P06 D07 m  x x x x
dalmation I08  R02 I02 f  x x x x
dalmation I07  R02 I02 m  y x x x
dalmation P28  x   x   m  x x x x
dalmation P08  P27 P04 f  x x x x
dalmation R10  R01 R14 f  x x x y
dalmation P11  P28 P08 f  x x x x
dalmation P26  P28 P08 m  x x x x
dalmation K03  x   x   m  x x x x
dalmation K02  x   x   f  x x x x
dalmation K01  K03 K02 m  x x x x
dalmation P14  P06 P07 f  x x x x
dalmation I09  P13 I08 f  x y x x
dalmation I10  P13 I08 m  y y x x
dalmation I11  P13 I08 m  y y x x
dalmation I12  P13 I08 f  x y x x
dalmation I13  P13 I08 m  x x x x
dalmation I14  P13 I08 f  x y y y
dalmation R11  P13 R10 f  x x x x
dalmation R12  P13 R10 f  y y y x
dalmation R13  P13 R10 f  y x x x
dalmation P52  P13 P08 m  y y y x
dalmation P53  P13 P08 f  y y x x
dalmation P54  P13 P08 f  x y x x
dalmation P33  K01 P14 f  x x x x
dalmation P34  K01 P14 f  x x x x
dalmation P35  K01 P14 m  x x x x
dalmation P36  K01 P14 m  x y x x
dalmation P37  K01 P14 f  x x x x
dalmation P38  K01 P14 m  x x x x
dalmation P39  K01 P14 f  y y x x
dalmation P40  K01 P14 m  x x y x
dalmation P41  K01 P14 f  y y x y
dalmation P17  P26 P06 f  x y x x
dalmation P18  P26 P06 f  y x x x
dalmation P19  P26 P06 m  x x x x
dalmation P20  P26 P06 m  x x x x
dalmation P21  P26 P06 f  x y x x
dalmation P22  P26 P06 m  x x x x
dalmation P23  P26 P06 f  x x x x
dalmation P24  P26 P06 m  x x x x
dalmation P25  P26 P06 f  y y x x
dalmation P46  P13 P09 m  x y x x
dalmation P47  P13 P09 f  x x x x
dalmation P48  P13 P09 m  x y x x
dalmation P49  P13 P09 f  x x x x
dalmation P50  P13 P09 m  x x x x
dalmation P51  P13 P09 f  y y x y
;;;;
run
set loc deaf aff . Any deafness
if (ldeaf or rdeaf) then deaf=y
if (ldeaf == x  and rdeaf == x) then deaf=n
set loc blue aff . Any blue eye
if (lblue or rblue) then blue=y
if (lblue == x  and rblue == x) then blue=n
set loc deaf3 qua . Scale of deafness 0=nil 1=unilat 2=bilat
deaf3=0
if (ldeaf or rdeaf) then deaf3=1
if (ldeaf and rdeaf) then deaf3=2
tab deaf blue
tab deaf3 blue
penrose deaf blue
